libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::integrity_constraint_violation Class Reference
Exception classes

`#include <except.hxx>`

Inheritance diagram for pqxx::integrity_constraint_violation:

## Public Member Functions

| integrity_constraint_violation (const std::string &err)
| integrity_constraint_violation (const std::string &err, const std::string &Q)
Public Member Functions inherited from pqxx::sql_error
| sql_error ()
| sql_error (const std::string &)
| sql_error (const std::string &, const std::string &Q)
virtual | ~sql_error () throw ()
const std::string &PQXX_PURE | query () const throw ()
| The query whose execution triggered the exception.
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception ()=0 throw ()
| Support run-time polymorphism, and keep this class abstract.
virtual const PQXX_CONST std::exception & | base () const =0 throw ()
| Return std::exception base-class object.

## Constructor & Destructor Documentation

pqxx::integrity_constraint_violation::integrity_constraint_violation | ( | const std::string & | err | ) |

explicit

pqxx::integrity_constraint_violation::integrity_constraint_violation | ( | const std::string & | err,
|  | const std::string & | Q
| ) |  |

The documentation for this class was generated from the following file:

- except.hxx